Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.jcr
Class JCRCommandContext

    java.lang.Object
      org.jboss.portal.common.invocation.AbstractInvocationContext
          org.jboss.portal.cms.impl.jcr.JCRCommandContext

All Implemented Interfaces:
  java.io.Serializable, org.jboss.portal.common.invocation.InvocationContext

    public class JCRCommandContext

extends org.jboss.portal.common.invocation.AbstractInvocationContext
implements java.io.Serializable

Version:
  $Revision: 7163 $
Author:
  Julien Viet
See Also:
  Serialized Form

Field Summary
`static org.jboss.portal.common.invocation.Scope` | `scope`

Constructor Summary
`JCRCommandContext(javax.jcr.Session session, JCRCommandFactory factory, java.util.Locale locale)`

Method Summary
`java.lang.Object` | `execute(JCRCommand cmd)`
`java.lang.Object` | `getClusterContextInfo(java.lang.String key)`
`JCRCommandFactory` | `getCommandFactory()`
`java.util.Locale` | `getDefaultLocale()`
`javax.jcr.Session` | `getSession()`
`void` | `setClusterContextInfo(java.lang.String key, java.lang.Object data)`

Methods inherited from class org.jboss.portal.common.invocation.AbstractInvocationContext
`addResolver, addResolver, getAttribute, getAttributeResolver, removeAttribute, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scope

    public static final org.jboss.portal.common.invocation.Scope scope

Constructor Detail

### JCRCommandContext

    public JCRCommandContext(javax.jcr.Session session,
                             JCRCommandFactory factory,
                             java.util.Locale locale)

Method Detail

### getCommandFactory

    public JCRCommandFactory getCommandFactory()

### getSession

    public javax.jcr.Session getSession()

### execute

    public java.lang.Object execute(JCRCommand cmd)
                             throws CMSException

  Throws:
    `CMSException`

### getDefaultLocale

    public java.util.Locale getDefaultLocale()

### setClusterContextInfo

    public void setClusterContextInfo(java.lang.String key,
                                      java.lang.Object data)

  Parameters:
    `key` -
    `data` -

### getClusterContextInfo

    public java.lang.Object getClusterContextInfo(java.lang.String key)

  Parameters:
    `key` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.